## ros-galactic-ament-copyright 0.10.7

=== debian/changelog ===
ros-galactic-ament-copyright (0.10.7-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 00:00:00 -0000

ros-galactic-ament-copyright (0.10.6-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-galactic-ament-copyright (0.10.5-1focal) focal; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-galactic-ament-copyright (0.10.4-1focal) focal; urgency=high

  * Use non-blind except for open() (#307 <https://github.com/ament/ament_lint/issues/307>)
  * Add optional file header style (#304 <https://github.com/ament/ament_lint/issues/304>)
    * Add optional file header style
    * Fix test on ament_copyright
  * Contributors: Alfi Maulana, Christophe Bedard

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-galactic-ament-copyright (0.10.3-1focal) focal; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-galactic-ament-copyright (0.10.2-1focal) focal; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-galactic-ament-copyright (0.10.1-1focal) focal; urgency=high

  * add mit-0 as a valid license to ament_copyright (#284 <https://github.com/ament/ament_lint/issues/284>)
  * Support Python 3.8-provided importlib.metadata (#290 <https://github.com/ament/ament_lint/issues/290>)
    The importlib_metadata package is a backport of the importlib.metadata
    module from Python 3.8. Fedora (and possibly others) no longer package
    importlib_metadata because they ship Python versions which have the
    functionality built-in.
  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang, M. Mei, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-galactic-ament-copyright (0.10.0-1focal) focal; urgency=high

  * added bsd 2 clause simplified license to ament_copyright (#267 <https://github.com/ament/ament_lint/issues/267>)
    * added bsd 2 clause simplified license to ament_copyright
  * Remove use of pkg_resources from ament_lint. (#260 <https://github.com/ament/ament_lint/issues/260>)
    Replace it with the use of the more modern importlib_metadata
    library.  There are a couple of reasons to do this:
    1.  pkg_resources is quite slow to import; on my machine,
    just firing up the python interpreter takes ~35ms, while
    firing up the python interpreter and importing pkg_resources
    takes ~175ms.  Firing up the python interpreter and importing
    importlib_metadata takes ~70ms.  Removing 100ms per invocation
    of the command-line both makes it speedier for users, and
    will speed up our tests (which call out to the command-line
    quite a lot).
    2.  pkg_resources is somewhat deprecated and being replaced
    by importlib.  https://importlib-metadata.readthedocs.io/en/latest/using.html
    describes some of it
    Note: By itself, this change is not enough to completely remove our
    dependence on pkg_resources.  We'll also have to do something about
    the console_scripts that setup.py generates.  That will be
    a separate effort.
  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette, Evan Flynn

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-galactic-ament-copyright (0.9.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-galactic-ament-copyright (0.9.3-1focal) focal; urgency=high

  * Remove output on stderr for case that is not an error (#248 <https://github.com/ament/ament_lint/issues/248>)
    * Remove output on stderr for case that is not an error
    * Remove early return to generate xml result file
  * Contributors: Jorge Perez

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-galactic-ament-copyright (0.9.2-1focal) focal; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-galactic-ament-copyright (0.9.1-1focal) focal; urgency=high

  * 0.9.0
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Add test case for Apache 2 (#208 <https://github.com/ament/ament_lint/issues/208>)
  * Add support for Boost Software License in ament_copyright package (#207 <https://github.com/ament/ament_lint/issues/207>)
    * Add support for the Boost Software License v1
    * Add tests for boost1 license
  * Add support for the 3-Clause BSD license (#205 <https://github.com/ament/ament_lint/issues/205>)
    * Add support for the 3-Clause BSD license
    * Add missing entry setup.py file for the added license
    * Add test cases for .cpp and .py files
    * Add a newline to increase readability

